<body>
<section class="vh-100" >

    <div class="container h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-xl-9">
          
          <h1 class="text-white mb-4">Register account</h1>
  
          <div class="card" style="border-radius: 15px;">
            <div class="card-body">
  
              <div class="row align-items-center pt-4 pb-3">
                <div class="col-md-3 ps-5">
  
                  <h6 class="mb-0" placeholder="Your">Username</h6>
  
                </div>
                <div  class="col-md-9 pe-5">
  
                  <input [(ngModel)]="user.korisnickoIme" type="text" placeholder="Your username" class="form-control form-control-lg" />
  
                </div>
              </div>

              <div class="row align-items-center pt-4 pb-3">
                <div class="col-md-3 ps-5">
  
                  <h6 class="mb-0" placeholder="Your">Name</h6>
  
                </div>
                <div  class="col-md-9 pe-5">
  
                  <input [(ngModel)]="user.ime" type="text" placeholder="Your Name" class="form-control form-control-lg" />
  
                </div>
              </div>


              <div class="row align-items-center pt-4 pb-3">
                <div class="col-md-3 ps-5">
  
                  <h6 class="mb-0" placeholder="Your">Last Name</h6>
  
                </div>
                <div  class="col-md-9 pe-5">
  
                  <input [(ngModel)]="user.prezime" type="text" placeholder="Your last name" class="form-control form-control-lg" />
  
                </div>
              </div>
  
              <hr class="mx-n3">
  
              <div class="row align-items-center py-3">
                <div class="col-md-3 ps-5">
  
                  <h6 class="mb-0">Email address</h6>
  
                </div>
                <div class="col-md-9 pe-5">
  
                  <input [(ngModel)]="user.eMail" type="email" class="form-control form-control-lg" placeholder="example@example.com" />
  
                </div>
              </div>
  
              <hr class="mx-n3">
  
              <div class="row align-items-center py-3">
                <div class="col-md-3 ps-5">
  
                  <h6 class="mb-0">Password</h6>
  
                </div>
                <div class="col-md-9 pe-5">
  
                    <input [ngClass]="lozinka!=ponovljenaLozinka ? 'error': ''" name="q" [(ngModel)]="lozinka"  type="password" class="form-control form-control-lg" placeholder="Your password" />
  
                </div>
              </div>
              <div class="row align-items-center py-3">
                <div class="col-md-3 ps-5">
  
                  <h6 class="mb-0">Enter Password Again</h6>
  
                </div>
                <div class="col-md-9 pe-5">
  
                    <input [ngClass]="lozinka!=ponovljenaLozinka ? 'error': ''" [(ngModel)]="ponovljenaLozinka"  type="password" class="form-control form-control-lg" placeholder="Your password" />
                    
  
                </div>
              </div>
  
              <hr class="mx-n3">
  
              <div class="px-5 py-4">
                <button  [ngClass]="user.lozinka!=ponovljenaLozinka ? '': 'register()'" (click)="register()"  class="btn btn-primary btn-lg">Register</button>
              </div>
  
            </div>
          </div>
  
        </div>
      </div>
    </div>

  </section>
</body>